function build()
    print("Scene Building!");
    rootNode = scene.getRoot();
	
	cubeBufferNode = object.new("sceneCubeBuffer", 128, 128, "RGBA" );
    rootNode:addChild( cubeBufferNode );
	
	mainSceneNode = object.new("sceneBuffer", window.getWidth(), window.getHeight(), 1, true, "RGBA16F", window.getFSAALevel() );
    rootNode:addChild( mainSceneNode );
	
	boidsNode = object.new("boids");
	boidsNode:setPosition( vector3.new( 0.0, 0.0, 0.0 ) );
	boidsNode:setScale( vector3.new( 1.0, 1.0, 1.0 ) );
	mainSceneNode:addChild(boidsNode);

	cameraNode = object.new("camera");
	mainSceneNode:addChild(cameraNode);
	scene.setActiveCamera(cameraNode);
	
    return true;
end

local lastTime = 0;

function update( deltaTime )
	rootNode:update( deltaTime );
end

function render( time )
	rootNode:render( time );
	scene.postProcessBufferNode( mainSceneNode );
end
